baz_non_blocker Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_non_blocker.h>`

Inheritance diagram for baz_non_blocker:
[legend]

## Public Member Functions

| ~baz_non_blocker ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
void | set_blocking (bool enable=true)

## Friends

BAZ_API baz_non_blocker_sptr | baz_make_non_blocker (int item_size, bool blocking)
| Return a shared_ptr to a new instance of baz_non_blocker.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_non_blocker()

baz_non_blocker::~baz_non_blocker | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_non_blocker::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int baz_non_blocker::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## set_blocking()

void baz_non_blocker::set_blocking | ( | bool | enable = `true` | ) |

## Friends And Related Symbol Documentation

## baz_make_non_blocker

BAZ_API baz_non_blocker_sptr baz_make_non_blocker | ( | int | item_size,
|  | bool | blocking
| ) |  |

friend

Return a shared_ptr to a new instance of baz_non_blocker.

To avoid accidental use of raw pointers, baz_non_blocker's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_non_blocker.h